use reqwest::header::HeaderMap;

pub struct Client {
    request_client: reqwest::Client
}

impl Client {
    pub fn new() -> anyhow::Result<Self> {
        let headers = HeaderMap::from_iter(vec![
            (reqwest::header::CONTENT_TYPE, "application/json".into())
        ].into_iter());
        let request_client = reqwest::ClientBuilder::new()
            .default_headers(headers)
            .build()?;

        Ok(Self {
            request_client
        })
    }

    pub fn get_submission<S>(submission_id: S) where S: Into<String> -> anyhow::Result<> {
        todo!();
    }
}